#!/bin/bash
#sudo add-apt-repository -y ppa:qbittorrent-team/qbittorrent-stable
sudo add-apt-repository -y ppa:wine/wine-builds
sudo add-apt-repository -y ppa:rvm/smplayer
sudo add-apt-repository -y ppa:nilarimogard/webupd8
sudo add-apt-repository -y ppa:libreoffice/ppa
sudo add-apt-repository -y ppa:webupd8team/nemo3

#Загружаем ключь от VirtualBox
wget -q https://www.virtualbox.org/download/oracle_vbox_2016.asc -O- | sudo apt-key add -
echo 'deb http://download.virtualbox.org/virtualbox/debian zesty contrib' |sudo tee -a /etc/apt/sources.list

sudo apt-get update
sudo apt-get install -y --install-recommends winehq-devel
sudo apt-get install -y numlockx gdebi curl mc gimp p7zip-full exfat-utils gtkhash exfat-fuse filezilla qbittorrent ssh compizconfig-settings-manager docky htop
sudo apt-get install -y cryptkeeper nfs-kernel-server nfs-common gxneur vlc smplayer smplayer-themes smplayer-skins audacious sqlitebrowser aisleriot screenfetch audacity nemo dconf-editor pavucontrol uget system-config-printer
sudo apt-get install -y virtualbox-5.1
#sudo apt-get install -y chromium-browser adobe-flashplugin
sudo apt-get purge -y libreoffice-math transmission-* blueman
#sudo apt-get install -y pepperflashplugin-nonfree
#sudo update-pepperflashplugin-nonfree --install

#Настройка формата времени
gsettings set com.canonical.indicator.datetime time-format "custom"
gsettings set com.canonical.indicator.datetime custom-time-format "%a, %e %b    %H:%M"

#Удаляем гостевой сеанс
sudo mkdir /etc/lightdm/lightdm.conf.d
sudo sh -c 'printf "[SeatDefaults]\nallow-guest=false\n" > /etc/lightdm/lightdm.conf.d/50-no-guest.conf'

#Берём тут: 
#http://packages.linuxmint.com/pool/main/m/mintstick/
#sudo dpkg -i ./src/mintstick_*.deb
#sudo apt-get install -y -f
#sudo apt-get install -y python-gobject
#sudo dpkg -i ./src/mint-translations_*.deb
#sudo dpkg -i ./src/smplayer-skins_15.2.0-1.deb
sudo dpkg -i ./src/cryptkeeper_*.deb
sudo apt-get install -y -f

#Устанавливаем темы
#sudo tar -xvzf ./src/icon_byhardir.tar.gz -C /usr/share/icons
#sudo tar -xvzf ./src/themes_byhardir.tar.gz -C /usr/share/themes
sudo mkdir /usr/share/filezilla
sudo mkdir /usr/share/filezilla/resources
sudo tar -xvf ./src/filezilla.byhardir.tar.gz -C /usr/share/filezilla/resources/

#Отключаем грёбаный левый верхний угол. Вручную запускаем плагин "No topleft hot corner"
tar -xvf ./src/nohotcorner@azuri.free.fr.tar.gz -C ~/.local/share/gnome-shell/extensions/

#numlock - включаем в ЛогинСкрин
sudo sh -c "echo 'greeter-setup-script=/usr/bin/numlockx on' >> /usr/share/lightdm/lightdm.conf.d/60-gnome.conf"

#Раскладку в ctrl+Shift
#sudo cp ./src/keyboard /etc/default/keyboard
gsettings set org.gnome.desktop.input-sources xkb-options "['grp:ctrl_shift_toggle']"

#Ставим тему курсора от MAC
#sudo rm /etc/alternatives/x-cursor-theme
#sudo ln -s /usr/share/icons/byhardir/cursor.theme /etc/alternatives/x-cursor-theme

#Ставим nemo по умолчанию
xdg-mime default nemo.desktop inode/directory application/x-gnome-saved-search

#отключаем Nautilus от обработки на рабочем столе
gsettings set org.gnome.desktop.background show-desktop-icons false

#Добавляем поддержку 3G'ика E3531
#sudo cp ./src/12d1:1f01 /etc/usb_modeswitch.d/12d1:1f01

#Настроим Gedit
gsettings set org.gnome.gedit.preferences.encodings candidate-encodings "['UTF-8', 'WINDOWS-1251', 'KOI8-R', 'CURRENT', 'ISO-8859-15', 'UTF-16']"
gsettings set org.gnome.gedit.preferences.editor bracket-matching true
gsettings set org.gnome.gedit.preferences.editor display-line-numbers true
gsettings set org.gnome.gedit.preferences.editor highlight-current-line true
gsettings set org.gnome.gedit.preferences.editor use-default-font false
gsettings set org.gnome.gedit.preferences.editor scheme 'xubuntu_light'
gsettings set org.gnome.gedit.preferences.editor tabs-size 4
gsettings set org.gnome.gedit.preferences.editor editor-font 'DejaVu Sans Mono 10'



